#include <stdio.h>
#include "Carbon/Carbon.h"

#define Debug 0

int main (int argc, const char * argv[])
{
	if (argc < 2)
	{
		printf("usage: volumeID /Volumes/work\n");
		return -1;
	}
	
	FSRef fsRef = {0};
	Boolean isDirectory = false;
	FSSpec fsSpec = {0};
	OSStatus status = noErr;
	
	status = FSPathMakeRef((const UInt8 *) argv[1], &fsRef, &isDirectory);	if (status) return status;
	status = FSGetCatalogInfo(&fsRef, kFSCatInfoNone, NULL, NULL, &fsSpec, NULL); if (status) return status;
	
	if (Debug)
	{
		char cName[256] = {0};
		CopyPascalStringToC(fsSpec.name, cName);
		printf("FSSpec: %hd, %ld, %s\n", fsSpec.vRefNum, fsSpec.parID, cName);
	}
	
	printf("%hd\n", fsSpec.vRefNum);
	return 0;
}
